Bug 8712 - Configless slurmd does not work with pam_slurm_adopt
Summary: Configless slurmd does not work with pam_slurm_adopt
Status: RESOLVED FIXED
Alias: None
Product: Slurm
Classification: Unclassified
Component: Configuration (show other bugs)
Version: 20.02.2
Hardware: Linux Linux
: --- 6 - No support contract
Assignee: Jacob Jenson
QA Contact:
URL:
Depends on:
Blocks:
 
Reported: 2020-03-20 06:46 MDT by Trey Dockendorf
Modified: 2020-05-13 07:40 MDT (History)
4 users (show)

See Also:
Site: -Other-
Alineos Sites: ---
Bull/Atos Sites: ---
Confidential Site: ---
Cray Sites: ---
HPCnow Sites: ---
HPE Sites: ---
IBM Sites: ---
NOAA SIte: ---
OCF Sites: ---
SFW Sites: ---
SNIC sites: ---
Linux Distro: CentOS
Machine Name:
CLE Version:
Version Fixed: v20.02.2
Target Release: ---
DevPrio: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Trey Dockendorf 2020-03-20 06:46:11 MDT
I have setup configless for slurmd but it appears like pam_slurm_adopt still expects to read /etc/slurm/slurm.conf.

Mar 20 08:40:48 pitzer-slurmd01-test pam_slurm_adopt[49090]: error: s_p_parse_file: unable to status file /etc/slurm/slurm.conf: No such file or directory, retrying in 1sec up to 60sec

If I create a symlink from /run/slurm/conf/slurm.conf to /etc/slurm/slurm.conf then the PAM module works just fine.
Comment 1 Jake Grimmett 2020-05-05 04:58:44 MDT
Thanks for the tip.

the symlink works, however when you restart slurmd it sees /etc/slurm/slurm.conf and so doesn't update /var/spool/slurmd/conf-cache this results in a stale config when any changes are made to slurm.conf.

The temporarily fix is:
systemctl stop slurmd && rm -f /var/spool/slurmd/conf-cache/* && systemctl start slurmd

Perhaps this could be added to /usr/lib/systemd/system/slurmd.service ?
Comment 2 Jake Grimmett 2020-05-13 07:39:36 MDT
This bug was fixed in slurm v20.02.2

Changes in Slurm 20.02.2
(SNIP)
>  -- pam_slurm_adopt - explicitly call slurm_conf_init().

:)